Running dnstli2 under uwsgi for local development
------------------------------------------------

Note that dnstli2 is only supported under Linux.

First, install a recent version (2.x or newer) of the [uWSGI application
server]. A [Debian source package] is available from an internal Farsight git
repository, and a binary package `fsi-uwsgi` should be available from a
Farsight apt repository.

[uWSGI application server]: https://uwsgi-docs.readthedocs.org/en/latest/

An example uWSGI config file is shipped in the `examples/uwsgi/`
directory.  `localdev_dnstli2.ini` runs the server with API key
authentication and uses uWSGI's built-in HTTP server to listen on
`127.0.0.1`.

Config files for `dnstli2` including authentication credentials must be set up in
`/etc/dnstli`. You will also want at least a small sample of `dnstable` data
locally so that actual data will be returned by the lookup server. This is not
covered here.

To run the localdev API server, invoke the following command from the top
directory of the `dnstli2` working tree:

```
uwsgi --ini examples/uwsgi/localdev_dnstli2.ini
```

The API server is now listening on `http://127.0.0.1:65080` (HTTP, not HTTPS),
and can be used with the `dnsdbq` command when the `DNSDB_SERVER` variable
is set to `"127.0.0.1:65080"`.

The localdev uWSGI config files are configured to send debugging output related
to the application server itself to `stderr`, while the dnstli2 application will
send its own log data to syslog.
